Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.ml.data.buffer
Class BinaryDataLoader

    java.lang.Object
      org.encog.ml.data.buffer.BinaryDataLoader

    public class BinaryDataLoader

extends Object

This class is used, together with a CODEC, to move data to/from the Encog binary training file format. The same Encog binary files can be used on all Encog platforms. CODEC's are used to import/export with other formats, such as CSV.

Constructor Summary
`BinaryDataLoader(DataSetCODEC theCodec)` Construct a loader with the specified CODEC.

Method Summary
`void` | `binary2External(File binaryFile)` Convert an Encog binary file to an external form, such as CSV.
`void` | `external2Binary(File binaryFile)` Convert an external file format, such as CSV, to the Encog binary training format.
`DataSetCODEC` | `getCodec()`
`StatusReportable` | `getStatus()`
`void` | `setStatus(StatusReportable theStatus)` Set the object that status is reported to.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BinaryDataLoader

    public BinaryDataLoader(DataSetCODEC theCodec)

  Construct a loader with the specified CODEC.

  Parameters:
    `theCodec` - The codec to use.

Method Detail

### external2Binary

    public final void external2Binary(File binaryFile)

  Convert an external file format, such as CSV, to the Encog binary training format.

  Parameters:
    `binaryFile` - The binary file to create.

### binary2External

    public final void binary2External(File binaryFile)

  Convert an Encog binary file to an external form, such as CSV.

  Parameters:
    `binaryFile` - THe binary file to use.

### getStatus

    public final StatusReportable getStatus()

  Returns:
    The object that status is reported to.

### setStatus

    public final void setStatus(StatusReportable theStatus)

  Set the object that status is reported to.

  Parameters:
    `theStatus` - The object to report status to.

### getCodec

    public final DataSetCODEC getCodec()

  Returns:
    The CODEC that is being used.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.